import { defineUserConfig, defaultTheme } from "vuepress";

export default defineUserConfig({
    lang: "zh-CN",
    title: "Code108 的在线笔记",
    description: "博客、笔记、文档",
    port: 8190,
    theme: defaultTheme({
        logo: "/imgs/favicon.ico",
        navbar: [
            {
                text: "首页",
                link: "/"
            },
            {
                text: "Spring",
                link: "/articles/Spring",
            },
            {
                text: "开发工具",
                link: "/articles/开发工具",
                activeMatch: '^/开发工具/',
                children: [
                    {
                        text: "git",
                        link: "/articles/开发工具/git"
                    },
                    {
                        text: "maven",
                        link: "/articles/开发工具/maven"
                    },
                    {
                        text: "VS Code",
                        link: "/articles/开发工具/VSCode"
                    },
                    {
                        text: "JMeter",
                        link: "/articles/开发工具/JMeter"
                    },
                ]
            },
            {
                text: "前端",
                link: "/articles/前端",
                activeMatch: '^/前端/',
                children: [
                    {
                        text: "commons",
                        link: "/articles/前端/commons"
                    },
                    {
                        text: "Vue",
                        link: "/articles/前端/Vue"
                    },
                ]
            },
            {
                text: "数据库",
                link: "/articles/数据库",
                activeMatch: '^/数据库/',
                children: [
                    {
                        text: "commons",
                        link: "/articles/数据库/commons"
                    },
                    {
                        text: "PostgreSQL",
                        link: "/articles/数据库/PostgreSQL"
                    },
                    {
                        text: "MySQL",
                        link: "/articles/数据库/MySQL"
                    },
                    {
                        text: "Oracle",
                        link: "/articles/数据库/Oracle"
                    },
                    {
                        text: "DB2",
                        link: "/articles/数据库/DB2"
                    },
                ]
            },
        ],
        repo: 'http://zhouxy.xyz:3000/ZhouXY108/blog',
    })
});
